* {
    /*
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif
    */
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 11px;
    color: #d7d7d7;
}

html {
    scrollbar-color: rgb(42, 42, 42) #16191f;
    scrollbar-width: thin;
}

body {
    /*
    background: rgb(0,110,170);
    */
    background: #2a2e33;
}

.red {
    background: rgba(250,0,0,0.5);
}

/*========================================
        Login
========================================*/

.modal {
    position: absolute;
    top: calc(50% - 150px);
    left: calc(50% - 200px);
    width: 300px;
    height: auto;
    padding: 15px 30px;
    border-radius: 2px;
    border: 1px solid rgba(25, 25, 25, 0.2);
    background-color: rgb(165, 165, 165);

    box-shadow: 5px 5px 35px 0px rgba(0,0,0,0.2);
    -webkit-box-shadow: 5px 5px 35px 0px rgba(0,0,0,0.2);
    -moz-box-shadow: 5px 5px 35px 0px rgba(0,0,0,0.2);
}

.modal .logo {
    margin: 7px 50px;
    height: 40px;
}

.modal input {
    width: 100%;
    padding: 7px 10px;
    border-radius: 2px;
    border: 1px solid rgba(0,0,0,0.2);
}

.modal .button {
    display: block;
    width: auto;
    margin: 30px 0px 10px 0px;
}

.button {
	box-shadow: inset 0px 1px 0px 0px #ffffff;
	background-color: rgba(0,110,170,0.9);
    color: rgba(250,250,250,1    );
	border-radius: 2px;
	border: 1px solid #dcdcdc;
	display: inline-block;
	cursor: pointer;
	padding: 10px 24px;
	text-decoration: none;
    text-align: center;
}

.button:hover {
	background-color: rgb(0,110,170);
}

.button:active {
	position:relative;
	top:1px;
}

.mute {
    position: absolute !important;
    top: 5px !important;
    right: 22px;
}


/*========================================
        Display
========================================*/

.display {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
}

.host-panel {
    /* width: fit-content; */
    padding: 10px 20px;
    max-height: calc(100vh - 100px);
    border-radius: 2px;
    margin: 0px 15px 15px 0px;
    background-color: #16191f;
    border: 1px solid #16191f;
    -webkit-box-shadow: 5px 5px 35px 0px rgba(0,0,0,0.2);
    -moz-box-shadow: 5px 5px 35px 0px rgba(0,0,0,0.2);
    overflow: scroll;
}

.host-name {
    display: inline-block;
    margin: 5px 0px 5px 0px;
    width: 100%;
    font-size: 16px;
    font-weight: bold;
}

.host-status {
    display: inline-block;
    margin: 5px 0px 15px 0px;
    width: 49%;
    font-weight: bold;
    text-align: right;
}

.host-updated {
    display: inline-block;
    margin: 5px 0px 15px 0px;
    width: 49%;
}

.service-panel {
    /*width: fit-content;*/
    max-width: 300px;
    margin-bottom: 10px;
    padding: 5px 10px;
    border-radius: 2px;
    border: 1px solid rgb(42, 42, 42);
    background-color: #2a2e33;

    box-shadow: 5px 5px 15px 0px rgba(0,0,0,0.1);
    -webkit-box-shadow: 5px 5px 15px 0px rgba(0,0,0,0.1);
    -moz-box-shadow: 5px 5px 15px 0px rgba(0,0,0,0.1);
}

.ok {
    background: linear-gradient(90deg, 
        #2a2e33 calc(100% - 10px), 
        #69ae33 calc(100% - 10px), 
        #69ae33 100%);
}

.warning {
    background: linear-gradient(90deg, 
        #2a2e33 calc(100% - 10px), 
        #f89255 calc(100% - 10px), 
        #f89255 100%);
}

.critical {
    background: linear-gradient(90deg, 
        #2a2e33 calc(100% - 10px), 
        #d62627 calc(100% - 10px), 
        #d62627 100%);
}

.silence {
    background: linear-gradient(90deg, 
        #2a2e33 calc(100% - 10px), 
        #44b9d6 calc(100% - 10px), 
        #44b9d6 100%);
}

.service-name {
    display: inline-block;
    margin: 5px 0px 10px 0px;
    width: 100%;
    font-size: 14px;
    font-weight: bold;
}

.service-value {
    display: inline-block;
    margin: 5px 0px 5px 0px;
    width: 45%;
    font-weight: bold;
    text-align: right;
}

.service-updated {
    display: inline-block;
    margin: 5px 0px 5px 0px;
    width: 50%;
}

.appleid-sign-in-container {
    position: relative;
    display: inline-flex;
    margin-bottom: 10px;
}

.appleid-sign-in-container * {
    font-size: 8px;
}
